| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Floating-point interface
Vector Conversions » Shift-Round-Saturate

## Floating-point accumulator to bfloat16 vector register conversion
v16bfloat16 | to_v16bfloat16 (v16accfloat a)
v32bfloat16 | to_v32bfloat16 (v32accfloat a)
v16bfloat16 | to_v16bfloat16_conf (v16accfloat a, crrnd_t rnd)
v32bfloat16 | to_v32bfloat16_conf (v32accfloat a, crrnd_t rnd)

## Complex Floating-point accumulator to complex bfloat16 vector register conversion
v8cbfloat16 | to_v8cbfloat16 (v8caccfloat a)
v16cbfloat16 | to_v16cbfloat16 (v16caccfloat a)
v8cbfloat16 | to_v8cbfloat16_conf (v8caccfloat a, crrnd_t rnd)
v16cbfloat16 | to_v16cbfloat16_conf (v16caccfloat a, crrnd_t rnd)

## Floating-point accumulator to float16 vector register conversion
v16float16 | to_v16float16 (v16accfloat a)
v32float16 | to_v32float16 (v32accfloat a)
v16float16 | to_v16float16_conf (v16accfloat a, crrnd_t rnd)
v32float16 | to_v32float16_conf (v32accfloat a, crrnd_t rnd)

## Floating-point accumulator to float8 vector register conversion
v32float8 | to_v32float8 (v32accfloat a)
v32float8 | to_v32float8_conf (v32accfloat a, crrnd_t rnd)
v32float8 | to_v32float8 (v32accfloat a, uint6_t shft)
v32float8 | to_v32float8_conf (v32accfloat a, uint6_t shft, crrnd_t rnd)

## Floating-point accumulator to bfloat8 vector register conversion
v32bfloat8 | to_v32bfloat8 (v32accfloat a)
v32bfloat8 | to_v32bfloat8_conf (v32accfloat a, crrnd_t rnd)

## Floating-point accumulator to FP32 vector register conversion (AIE-ML v2 interface)
v32bfloat8 | to_v32bfloat8 (v32accfloat a, uint6_t shft)
v32bfloat8 | to_v32bfloat8_conf (v32accfloat a, uint6_t shft, crrnd_t rnd)

## Floating-point accumulator to mx (block floating-point) vector register conversion
v64mx9 | to_v64mx9 (v64accfloat a)
v64mx6 | to_v64mx6 (v64accfloat a)
v64mx4 | to_v64mx4 (v64accfloat a)
v64mx9 | to_v64mx9_conf (v64accfloat a, crrnd_t rnd)
v64mx6 | to_v64mx6_conf (v64accfloat a, crrnd_t rnd)
v64mx4 | to_v64mx4_conf (v64accfloat a, crrnd_t rnd)
v64bfp16p | to_v64bfp16p (v64accfloat a)
v64bfp13p | to_v64bfp13p (v64accfloat a)
v64bfp11p | to_v64bfp11p (v64accfloat a)

## Detailed Description

## Function Documentation

## ◆ to_v16bfloat16()

v16bfloat16 to_v16bfloat16 | ( | v16accfloat | a | ) |

## ◆ to_v16bfloat16_conf()

v16bfloat16 to_v16bfloat16_conf | ( | v16accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v16cbfloat16()

v16cbfloat16 to_v16cbfloat16 | ( | v16caccfloat | a | ) |

## ◆ to_v16cbfloat16_conf()

v16cbfloat16 to_v16cbfloat16_conf | ( | v16caccfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v16float16()

v16float16 to_v16float16 | ( | v16accfloat | a | ) |

## ◆ to_v16float16_conf()

v16float16 to_v16float16_conf | ( | v16accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v32bfloat16()

v32bfloat16 to_v32bfloat16 | ( | v32accfloat | a | ) |

## ◆ to_v32bfloat16_conf()

v32bfloat16 to_v32bfloat16_conf | ( | v32accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v32bfloat8() [1/2]

v32bfloat8 to_v32bfloat8 | ( | v32accfloat | a | ) |

## ◆ to_v32bfloat8() [2/2]

v32bfloat8 to_v32bfloat8 | ( | v32accfloat | a,
|  | uint6_t | shft )

## ◆ to_v32bfloat8_conf() [1/2]

v32bfloat8 to_v32bfloat8_conf | ( | v32accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v32bfloat8_conf() [2/2]

v32bfloat8 to_v32bfloat8_conf | ( | v32accfloat | a,
|  | uint6_t | shft,
|  | crrnd_t | rnd )

## ◆ to_v32float16()

v32float16 to_v32float16 | ( | v32accfloat | a | ) |

## ◆ to_v32float16_conf()

v32float16 to_v32float16_conf | ( | v32accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v32float8() [1/2]

v32float8 to_v32float8 | ( | v32accfloat | a | ) |

## ◆ to_v32float8() [2/2]

v32float8 to_v32float8 | ( | v32accfloat | a,
|  | uint6_t | shft )

## ◆ to_v32float8_conf() [1/2]

v32float8 to_v32float8_conf | ( | v32accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v32float8_conf() [2/2]

v32float8 to_v32float8_conf | ( | v32accfloat | a,
|  | uint6_t | shft,
|  | crrnd_t | rnd )

## ◆ to_v64bfp11p()

v64bfp11p to_v64bfp11p | ( | v64accfloat | a | ) |

## ◆ to_v64bfp13p()

v64bfp13p to_v64bfp13p | ( | v64accfloat | a | ) |

## ◆ to_v64bfp16p()

v64bfp16p to_v64bfp16p | ( | v64accfloat | a | ) |

## ◆ to_v64mx4()

v64mx4 to_v64mx4 | ( | v64accfloat | a | ) |

## ◆ to_v64mx4_conf()

v64mx4 to_v64mx4_conf | ( | v64accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v64mx6()

v64mx6 to_v64mx6 | ( | v64accfloat | a | ) |

## ◆ to_v64mx6_conf()

v64mx6 to_v64mx6_conf | ( | v64accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v64mx9()

v64mx9 to_v64mx9 | ( | v64accfloat | a | ) |

## ◆ to_v64mx9_conf()

v64mx9 to_v64mx9_conf | ( | v64accfloat | a,
|  | crrnd_t | rnd )

## ◆ to_v8cbfloat16()

v8cbfloat16 to_v8cbfloat16 | ( | v8caccfloat | a | ) |

## ◆ to_v8cbfloat16_conf()

v8cbfloat16 to_v8cbfloat16_conf | ( | v8caccfloat | a,
|  | crrnd_t | rnd )